Main Page Packages Class Hierarchy Compound List File List Compound Members

# readonly Class Reference

Inherits DOMTestSuite.

List of all members.

## Public Methods
| readonly (DOMTestDocumentBuilderFactory factory) throws Exception
void | build (DOMTestSink sink)
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Constructor & Destructor Documentation

readonly::readonly | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 33 of file readonly.java. References DOMTest::setFactory().
    00033                                                                            {
    00034       super(factory);
    00035
    00036       setFactory(factory);
    00037    }

## Member Function Documentation

void readonly::build | ( | DOMTestSink | sink | ) | `[inline, virtual]`

| Adds a test to the test suite. This method can only be run after the test suite has been attached to a test framework since each framework implements test suites in different manners. Reimplemented from DOMTestSuite. Definition at line 39 of file readonly.java. References DOMTestSink::addTest().
    00039                                        {
    00040       sink.addTest(attrdefaultvalue.class);
    00041       sink.addTest(attreffectivevalue.class);
    00042       sink.addTest(attrname.class);
    00043       sink.addTest(attrnextsiblingnull.class);
    00044       sink.addTest(attrnotspecifiedvalue.class);
    00045       sink.addTest(attrparentnodenull.class);
    00046       sink.addTest(attrprevioussiblingnull.class);
    00047       sink.addTest(attrspecifiedvalue.class);
    00048       sink.addTest(cdatasectiongetdata.class);
    00049       sink.addTest(characterdatagetdata.class);
    00050       sink.addTest(characterdatagetlength.class);
    00051       sink.addTest(characterdataindexsizeerrsubstringcountnegative.class);
    00052       sink.addTest(characterdataindexsizeerrsubstringnegativeoffset.class);
    00053       sink.addTest(characterdataindexsizeerrsubstringoffsetgreater.class);
    00054       sink.addTest(characterdatasubstringexceedsvalue.class);
    00055       sink.addTest(characterdatasubstringvalue.class);
    00056       sink.addTest(commentgetcomment.class);
    00057       sink.addTest(documentgetdoctype.class);
    00058       sink.addTest(documentgetdoctypenodtd.class);
    00059       sink.addTest(documentgetelementsbytagnamelength.class);
    00060       sink.addTest(documentgetelementsbytagnametotallength.class);
    00061       sink.addTest(documentgetelementsbytagnamevalue.class);
    00062       sink.addTest(documentgetimplementation.class);
    00063       sink.addTest(documentgetrootnode.class);
    00064       sink.addTest(documenttypegetdoctype.class);
    00065       sink.addTest(documenttypegetentities.class);
    00066       sink.addTest(documenttypegetentitieslength.class);
    00067       sink.addTest(documenttypegetentitiestype.class);
    00068       sink.addTest(documenttypegetnotations.class);
    00069       sink.addTest(documenttypegetnotationstype.class);
    00070       sink.addTest(domimplementationfeaturenoversion.class);
    00071       sink.addTest(domimplementationfeaturenull.class);
    00072       sink.addTest(domimplementationfeaturexml.class);
    00073       sink.addTest(elementassociatedattribute.class);
    00074       sink.addTest(elementgetelementsbytagname.class);
    00075       sink.addTest(elementgetelementsbytagnameaccessnodelist.class);
    00076       sink.addTest(elementgetelementsbytagnamenomatch.class);
    00077       sink.addTest(elementgetelementsbytagnamespecialvalue.class);
    00078       sink.addTest(elementgettagname.class);
    00079       sink.addTest(elementretrieveallattributes.class);
    00080       sink.addTest(elementretrieveattrvalue.class);
    00081       sink.addTest(elementretrievetagname.class);
    00082       sink.addTest(entitygetentityname.class);
    00083       sink.addTest(entitygetpublicid.class);
    00084       sink.addTest(entitygetpublicidnull.class);
    00085       sink.addTest(namednodemapgetnameditem.class);
    00086       sink.addTest(namednodemapreturnattrnode.class);
    00087       sink.addTest(namednodemapreturnnull.class);
    00088       sink.addTest(nodeattributenodeattribute.class);
    00089       sink.addTest(nodeattributenodename.class);
    00090       sink.addTest(nodeattributenodetype.class);
    00091       sink.addTest(nodeattributenodevalue.class);
    00092       sink.addTest(nodecdatasectionnodeattribute.class);
    00093       sink.addTest(nodecdatasectionnodename.class);
    00094       sink.addTest(nodecdatasectionnodetype.class);
    00095       sink.addTest(nodecdatasectionnodevalue.class);
    00096       sink.addTest(nodechildnodes.class);
    00097       sink.addTest(nodechildnodesempty.class);
    00098       sink.addTest(nodecommentnodeattributes.class);
    00099       sink.addTest(nodecommentnodename.class);
    00100       sink.addTest(nodecommentnodetype.class);
    00101       sink.addTest(nodecommentnodevalue.class);
    00102       sink.addTest(nodedocumentnodeattribute.class);
    00103       sink.addTest(nodedocumentnodename.class);
    00104       sink.addTest(nodedocumentnodetype.class);
    00105       sink.addTest(nodedocumentnodevalue.class);
    00106       sink.addTest(nodedocumenttypenodename.class);
    00107       sink.addTest(nodedocumenttypenodetype.class);
    00108       sink.addTest(nodedocumenttypenodevalue.class);
    00109       sink.addTest(nodeelementnodeattributes.class);
    00110       sink.addTest(nodeelementnodename.class);
    00111       sink.addTest(nodeelementnodetype.class);
    00112       sink.addTest(nodeelementnodevalue.class);
    00113       sink.addTest(nodeentitynodeattributes.class);
    00114       sink.addTest(nodeentitynodename.class);
    00115       sink.addTest(nodeentitynodetype.class);
    00116       sink.addTest(nodeentitynodevalue.class);
    00117       sink.addTest(nodeentityreferencenodeattributes.class);
    00118       sink.addTest(nodeentityreferencenodename.class);
    00119       sink.addTest(nodeentityreferencenodetype.class);
    00120       sink.addTest(nodeentityreferencenodevalue.class);
    00121       sink.addTest(nodegetfirstchild.class);
    00122       sink.addTest(nodegetfirstchildnull.class);
    00123       sink.addTest(nodegetlastchild.class);
    00124       sink.addTest(nodegetlastchildnull.class);
    00125       sink.addTest(nodegetnextsibling.class);
    00126       sink.addTest(nodegetnextsiblingnull.class);
    00127       sink.addTest(nodegetownerdocument.class);
    00128       sink.addTest(nodegetownerdocumentnull.class);
    00129       sink.addTest(nodegetprevioussibling.class);
    00130       sink.addTest(nodegetprevioussiblingnull.class);
    00131       sink.addTest(nodehaschildnodes.class);
    00132       sink.addTest(nodehaschildnodesfalse.class);
    00133       sink.addTest(nodelistindexequalzero.class);
    00134       sink.addTest(nodelistindexgetlength.class);
    00135       sink.addTest(nodelistindexgetlengthofemptylist.class);
    00136       sink.addTest(nodelistindexnotzero.class);
    00137       sink.addTest(nodelistreturnfirstitem.class);
    00138       sink.addTest(nodelistreturnlastitem.class);
    00139       sink.addTest(nodelisttraverselist.class);
    00140       sink.addTest(nodenotationnodeattributes.class);
    00141       sink.addTest(nodenotationnodename.class);
    00142       sink.addTest(nodenotationnodetype.class);
    00143       sink.addTest(nodenotationnodevalue.class);
    00144       sink.addTest(nodeparentnode.class);
    00145       sink.addTest(nodeparentnodenull.class);
    00146       sink.addTest(nodeprocessinginstructionnodeattributes.class);
    00147       sink.addTest(nodeprocessinginstructionnodename.class);
    00148       sink.addTest(nodeprocessinginstructionnodetype.class);
    00149       sink.addTest(nodeprocessinginstructionnodevalue.class);
    00150       sink.addTest(nodetextnodeattribute.class);
    00151       sink.addTest(nodetextnodename.class);
    00152       sink.addTest(nodetextnodetype.class);
    00153       sink.addTest(nodetextnodevalue.class);
    00154       sink.addTest(notationgetnotationname.class);
    00155       sink.addTest(notationgetpublicid.class);
    00156       sink.addTest(notationgetpublicidnull.class);
    00157       sink.addTest(notationgetsystemid.class);
    00158       sink.addTest(notationgetsystemidnull.class);
    00159       sink.addTest(processinginstructiongetdata.class);
    00160       sink.addTest(processinginstructiongettarget.class);
    00161       sink.addTest(textparseintolistofelements.class);
    00162       sink.addTest(textwithnomarkup.class);
    00163
    00164    }

String readonly::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 165 of file readonly.java.
    00165                                 {
    00166       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/readonly";
    00167    }

void readonly::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 169 of file readonly.java.
    00169                                           {
    00170         DOMTestCase.doMain(readonly.class,args);
    00171    }

The documentation for this class was generated from the following file:

- readonly.java